﻿Imports System.Runtime.InteropServices

Public Class Form1
    ' Declare User32 constants and methods.
    Private Const MF_BYPOSITION As Integer = &H400

    <DllImport("user32.dll", CallingConvention:=CallingConvention.Cdecl)> _
    Private Shared Function GetSystemMenu(ByVal hWnd As IntPtr, ByVal bRevert As Boolean) As IntPtr
    End Function

    <DllImport("user32.dll")> _
    Public Shared Function GetMenuItemCount(ByVal hMenu As IntPtr) As Int32
    End Function

    <DllImport("user32.dll")> _
    Public Shared Function RemoveMenu(ByVal hMenu As IntPtr, ByVal nPosition As Int32, ByVal wFlags As Int32) As Int32
    End Function

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Close()
    End Sub

    ' Remove the X button.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim hMenu As IntPtr = GetSystemMenu(Me.Handle, False)
        Dim num_menu_items As Integer = GetMenuItemCount(hMenu)

        'For i As Integer = num_menu_items - 1 To 0 Step -1
        '    RemoveMenu(hMenu, i, MF_BYPOSITION)
        'Next i
        RemoveMenu(hMenu, num_menu_items - 1, MF_BYPOSITION)
        RemoveMenu(hMenu, num_menu_items - 2, MF_BYPOSITION)
    End Sub
End Class
